{"format":"opendoc-document","version":1,"url":"https://docs.storm.tg/developers/operations/getmarket","title":"Get a market","description":"GET /api/markets/{address}: Returns full market info with current state","kind":"api-operation","locale":"en","inLanguage":"en","lastModified":"2026-10-09T14:26:32+03:00","revision":"d36475e7b456c737fae6933fa27b7e1bc2687f2c19291b05725ab2c4e8f79d7a","section":{"title":"For Developers","url":"https://docs.storm.tg/developers"},"representations":{"html":"https://docs.storm.tg/developers/operations/getmarket","markdown":"https://docs.storm.tg/developers/operations/getmarket.md","json":"https://docs.storm.tg/developers/operations/getmarket.json"},"translations":{"en":"https://docs.storm.tg/developers/operations/getmarket"},"operation":{"id":"GetMarket","method":"GET","path":"/api/markets/{address}","summary":"Get a market","description":"Returns full market info with current state","tags":["Markets"],"deprecated":false,"parameters":[{"name":"address","location":"path","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]},"type":"string","required":true,"example":"string"}],"bodies":[],"responses":[{"status":"200","description":"Response","mediaType":"application/json","properties":[{"name":"address","type":"string","required":true,"description":"Market address","example":"string","schema":{"type":"string","types":["string"],"description":"Market address","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"amm","type":"object","required":true,"description":"Current amm state","example":"{\n  \"address\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n  \"txId\": \"string\",\n  \"call\": \"OffchainOracleTick\",\n  \"height\": \"0\",\n  \"blockTimestamp\": \"2026-01-01T00:00:00Z\",\n  \"seqno\": \"0\",\n  \"indexPrice\": \"0\",\n  \"baseOraclePrice\": \"0\",\n  \"quoteOraclePrice\": \"0\",\n  \"quoteAssetReserve\": \"0\",\n  \"baseAssetReserve\": \"0\",\n  \"baseAssetReserveWeight\": \"0\",\n  \"quoteAssetReserveWeight\": \"0\",\n  \"totalPositionSize\": \"0\",\n  \"totalLongPositionSize\": \"0\",\n  \"totalShortPositionSize\": \"0\",\n  \"openInterestNotional\": \"0\",\n  \"openInterestShort\": \"0\",\n  \"openInterestLong\": \"0\",\n  \"latestLongPremiumFraction\": \"0\",\n  \"latestShortPremiumFraction\": \"0\",\n  \"nextFundingBlock\": \"2026-01-01T00:00:00Z\",\n  \"longFundingRate\": \"0\",\n  \"shortFundingRate\": \"0\",\n  \"vpiMarketDepthLong\": \"0\",\n  \"vpiMarketDepthShort\": \"0\",\n  \"vpiSpread\": \"0\",\n  \"vpiCoefficient\": \"0\"\n}","schema":{"type":"object","types":["object"],"description":"Current amm state","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"address","type":"string","required":true,"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","schema":{"type":"string","types":["string"],"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"txId","type":"string · nullable","required":true,"example":"string","schema":{"type":"string · nullable","types":["string"],"nullable":true,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"call","type":"string","required":true,"example":"OffchainOracleTick","schema":{"type":"string","types":["string"],"example":"OffchainOracleTick","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"height","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"blockTimestamp","type":"string · date-time","required":true,"example":"2026-01-01T00:00:00Z","schema":{"type":"string · date-time","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"date-time"},"properties":[],"variants":[]}},{"name":"seqno","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"indexPrice","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"baseOraclePrice","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"quoteOraclePrice","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"quoteAssetReserve","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"baseAssetReserve","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"baseAssetReserveWeight","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"quoteAssetReserveWeight","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"totalPositionSize","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"totalLongPositionSize","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"totalShortPositionSize","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"openInterestNotional","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"openInterestShort","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"openInterestLong","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"latestLongPremiumFraction","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"latestShortPremiumFraction","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"nextFundingBlock","type":"string · date-time","required":true,"example":"2026-01-01T00:00:00Z","schema":{"type":"string · date-time","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"date-time"},"properties":[],"variants":[]}},{"name":"longFundingRate","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"shortFundingRate","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"vpiMarketDepthLong","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"vpiMarketDepthShort","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"vpiSpread","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"vpiCoefficient","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}}],"variants":[]}},{"name":"change","type":"object","required":true,"description":"Market volumes daily changes","example":"{\n  \"quoteVolume\": \"0\",\n  \"baseVolume\": \"0\",\n  \"initialPrice\": 0\n}","schema":{"type":"object","types":["object"],"description":"Market volumes daily changes","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"quoteVolume","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"baseVolume","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"initialPrice","type":"number","required":true,"example":"0","schema":{"type":"number","types":["number"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}},{"name":"incentive","type":"object","required":true,"description":"Funding info","example":"{\n  \"timestamp\": \"2026-01-01T00:00:00Z\",\n  \"twapIndexPrice\": \"0\",\n  \"twapSpotPrice\": \"0\",\n  \"longFundingRate\": \"0\",\n  \"shortFundingRate\": \"0\"\n}","schema":{"type":"object","types":["object"],"description":"Funding info","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"timestamp","type":"string · date-time · nullable","required":true,"example":"2026-01-01T00:00:00Z","schema":{"type":"string · date-time · nullable","types":["string"],"nullable":true,"readOnly":false,"writeOnly":false,"constraints":{"format":"date-time"},"properties":[],"variants":[]}},{"name":"twapIndexPrice","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"twapSpotPrice","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"longFundingRate","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"shortFundingRate","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}}],"variants":[]}},{"name":"settings","type":"object","required":true,"description":"Amm settings","example":"{\n  \"fee\": \"0\",\n  \"executionFee\": \"0\",\n  \"rolloverFee\": \"0\",\n  \"fundingPeriod\": 0,\n  \"ammType\": \"string\",\n  \"minInitMarginRatio\": \"0\",\n  \"initMarginRatio\": \"0\",\n  \"maintenanceMarginRatio\": \"0\",\n  \"liquidationFeeRatio\": \"0\",\n  \"partialLiquidationRatio\": \"0\",\n  \"spreadLimit\": \"0\",\n  \"maxPriceImpact\": \"0\",\n  \"maxPriceSpread\": \"0\",\n  \"maxOpenNotional\": \"0\",\n  \"feeToStakersPercent\": \"0\",\n  \"maxOracleDelay\": 0,\n  \"fundingMode\": 0,\n  \"oracleMode\": 0,\n  \"positionMode\": 0,\n  \"fundingSettings\": {\n    \"lowFundingFnA\": 0,\n    \"lowFundingFnB\": 0,\n    \"highFundingFnA\": 0,\n    \"highFundingFnB\": 0,\n    \"inflectionPoint\": 0\n  },\n  \"isCloseOnly\": true,\n  \"isPaused\": true,\n  \"status\": \"active\"\n}","schema":{"type":"object","types":["object"],"description":"Amm settings","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"fee","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"executionFee","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"rolloverFee","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"fundingPeriod","type":"number","required":true,"example":"0","schema":{"type":"number","types":["number"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"ammType","type":"string","required":true,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"minInitMarginRatio","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"initMarginRatio","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"maintenanceMarginRatio","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"liquidationFeeRatio","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"partialLiquidationRatio","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"spreadLimit","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"maxPriceImpact","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"maxPriceSpread","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"maxOpenNotional","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"feeToStakersPercent","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"maxOracleDelay","type":"number","required":true,"example":"0","schema":{"type":"number","types":["number"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"fundingMode","type":"number","required":true,"example":"0","schema":{"type":"number","types":["number"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"oracleMode","type":"number","required":true,"example":"0","schema":{"type":"number","types":["number"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"positionMode","type":"number","required":true,"example":"0","schema":{"type":"number","types":["number"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"fundingSettings","type":"object · nullable","required":true,"example":"{\n  \"lowFundingFnA\": 0,\n  \"lowFundingFnB\": 0,\n  \"highFundingFnA\": 0,\n  \"highFundingFnB\": 0,\n  \"inflectionPoint\": 0\n}","schema":{"type":"object · nullable","types":["object"],"nullable":true,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"lowFundingFnA","type":"number","required":false,"example":"0","schema":{"type":"number","types":["number"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"lowFundingFnB","type":"number","required":false,"example":"0","schema":{"type":"number","types":["number"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"highFundingFnA","type":"number","required":false,"example":"0","schema":{"type":"number","types":["number"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"highFundingFnB","type":"number","required":false,"example":"0","schema":{"type":"number","types":["number"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"inflectionPoint","type":"number","required":false,"example":"0","schema":{"type":"number","types":["number"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}},{"name":"isCloseOnly","type":"boolean","required":true,"example":"true","schema":{"type":"boolean","types":["boolean"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"isPaused","type":"boolean","required":true,"example":"true","schema":{"type":"boolean","types":["boolean"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"status","type":"string · enum","required":true,"example":"active","schema":{"type":"string · enum","types":["string"],"enum":["active","closed","paused","closeOnly"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}},{"name":"config","type":"object","required":true,"description":"Market config","example":"{\n  \"address\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n  \"imageLink\": \"string\",\n  \"quoteAsset\": \"string\",\n  \"baseAsset\": \"string\",\n  \"name\": \"string\",\n  \"ticker\": \"string\",\n  \"vaultAddress\": \"string\",\n  \"type\": \"string\",\n  \"tags\": [\n    \"string\"\n  ],\n  \"closestPauseAt\": 0,\n  \"closestUnpauseAt\": 0,\n  \"isDayTrading\": true,\n  \"dayTradingLeverageLimit\": 0\n}","schema":{"type":"object","types":["object"],"description":"Market config","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"address","type":"string","required":true,"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","schema":{"type":"string","types":["string"],"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"imageLink","type":"string","required":true,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"quoteAsset","type":"string","required":true,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"baseAsset","type":"string","required":true,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"name","type":"string","required":true,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"ticker","type":"string","required":true,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"vaultAddress","type":"string","required":true,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"type","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"tags","type":"string[]","required":true,"example":"[\n  \"string\"\n]","schema":{"type":"string[]","types":["array"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"items":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]},"variants":[]}},{"name":"closestPauseAt","type":"number · nullable","required":true,"example":"0","schema":{"type":"number · nullable","types":["number"],"nullable":true,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"closestUnpauseAt","type":"number · nullable","required":true,"example":"0","schema":{"type":"number · nullable","types":["number"],"nullable":true,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"isDayTrading","type":"boolean","required":true,"example":"true","schema":{"type":"boolean","types":["boolean"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"dayTradingLeverageLimit","type":"number · nullable","required":true,"example":"0","schema":{"type":"number · nullable","types":["number"],"nullable":true,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}},{"name":"prelaunch","type":"object","required":false,"description":"Prelaunch","example":"{\n  \"address\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n  \"assetName\": \"string\",\n  \"startTime\": \"2026-01-01T00:00:00Z\",\n  \"endTime\": \"2026-01-01T00:00:00Z\",\n  \"paused\": true,\n  \"closeOnly\": true,\n  \"createdAt\": \"2026-01-01T00:00:00Z\",\n  \"settings\": {\n    \"tradingDelayForNonWhitelistUsers\": 0,\n    \"preMarketStatus\": \"off\",\n    \"showAlert\": true,\n    \"alertType\": \"warning\",\n    \"alertTitle\": \"string\",\n    \"alertSubtitle\": \"string\"\n  }\n}","schema":{"type":"object","types":["object"],"description":"Prelaunch","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"address","type":"string","required":true,"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","schema":{"type":"string","types":["string"],"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"assetName","type":"string","required":true,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"startTime","type":"string · date-time · nullable","required":true,"example":"2026-01-01T00:00:00Z","schema":{"type":"string · date-time · nullable","types":["string"],"nullable":true,"readOnly":false,"writeOnly":false,"constraints":{"format":"date-time"},"properties":[],"variants":[]}},{"name":"endTime","type":"string · date-time · nullable","required":true,"example":"2026-01-01T00:00:00Z","schema":{"type":"string · date-time · nullable","types":["string"],"nullable":true,"readOnly":false,"writeOnly":false,"constraints":{"format":"date-time"},"properties":[],"variants":[]}},{"name":"paused","type":"boolean","required":true,"example":"true","schema":{"type":"boolean","types":["boolean"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"closeOnly","type":"boolean","required":true,"example":"true","schema":{"type":"boolean","types":["boolean"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"createdAt","type":"string · date-time","required":true,"example":"2026-01-01T00:00:00Z","schema":{"type":"string · date-time","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"date-time"},"properties":[],"variants":[]}},{"name":"settings","type":"object · nullable","required":true,"example":"{\n  \"tradingDelayForNonWhitelistUsers\": 0,\n  \"preMarketStatus\": \"off\",\n  \"showAlert\": true,\n  \"alertType\": \"warning\",\n  \"alertTitle\": \"string\",\n  \"alertSubtitle\": \"string\"\n}","schema":{"type":"object · nullable","types":["object"],"nullable":true,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"tradingDelayForNonWhitelistUsers","type":"number","required":false,"example":"0","schema":{"type":"number","types":["number"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"preMarketStatus","type":"string · enum","required":false,"example":"off","schema":{"type":"string · enum","types":["string"],"enum":["off","whitelistOnly","allowedForAll"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"showAlert","type":"boolean","required":false,"example":"true","schema":{"type":"boolean","types":["boolean"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"alertType","type":"string · enum","required":false,"example":"warning","schema":{"type":"string · enum","types":["string"],"enum":["warning","success","info","error"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"alertTitle","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"alertSubtitle","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}}],"variants":[]}}],"schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Data.MarketResponse","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"address","type":"string","required":true,"description":"Market address","example":"string","schema":{"type":"string","types":["string"],"description":"Market address","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"amm","type":"object","required":true,"description":"Current amm state","example":"{\n  \"address\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n  \"txId\": \"string\",\n  \"call\": \"OffchainOracleTick\",\n  \"height\": \"0\",\n  \"blockTimestamp\": \"2026-01-01T00:00:00Z\",\n  \"seqno\": \"0\",\n  \"indexPrice\": \"0\",\n  \"baseOraclePrice\": \"0\",\n  \"quoteOraclePrice\": \"0\",\n  \"quoteAssetReserve\": \"0\",\n  \"baseAssetReserve\": \"0\",\n  \"baseAssetReserveWeight\": \"0\",\n  \"quoteAssetReserveWeight\": \"0\",\n  \"totalPositionSize\": \"0\",\n  \"totalLongPositionSize\": \"0\",\n  \"totalShortPositionSize\": \"0\",\n  \"openInterestNotional\": \"0\",\n  \"openInterestShort\": \"0\",\n  \"openInterestLong\": \"0\",\n  \"latestLongPremiumFraction\": \"0\",\n  \"latestShortPremiumFraction\": \"0\",\n  \"nextFundingBlock\": \"2026-01-01T00:00:00Z\",\n  \"longFundingRate\": \"0\",\n  \"shortFundingRate\": \"0\",\n  \"vpiMarketDepthLong\": \"0\",\n  \"vpiMarketDepthShort\": \"0\",\n  \"vpiSpread\": \"0\",\n  \"vpiCoefficient\": \"0\"\n}","schema":{"type":"object","types":["object"],"description":"Current amm state","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"address","type":"string","required":true,"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","schema":{"type":"string","types":["string"],"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"txId","type":"string · nullable","required":true,"example":"string","schema":{"type":"string · nullable","types":["string"],"nullable":true,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"call","type":"string","required":true,"example":"OffchainOracleTick","schema":{"type":"string","types":["string"],"example":"OffchainOracleTick","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"height","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"blockTimestamp","type":"string · date-time","required":true,"example":"2026-01-01T00:00:00Z","schema":{"type":"string · date-time","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"date-time"},"properties":[],"variants":[]}},{"name":"seqno","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"indexPrice","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"baseOraclePrice","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"quoteOraclePrice","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"quoteAssetReserve","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"baseAssetReserve","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"baseAssetReserveWeight","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"quoteAssetReserveWeight","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"totalPositionSize","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"totalLongPositionSize","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"totalShortPositionSize","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"openInterestNotional","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"openInterestShort","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"openInterestLong","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"latestLongPremiumFraction","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"latestShortPremiumFraction","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"nextFundingBlock","type":"string · date-time","required":true,"example":"2026-01-01T00:00:00Z","schema":{"type":"string · date-time","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"date-time"},"properties":[],"variants":[]}},{"name":"longFundingRate","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"shortFundingRate","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"vpiMarketDepthLong","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"vpiMarketDepthShort","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"vpiSpread","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"vpiCoefficient","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}}],"variants":[]}},{"name":"change","type":"object","required":true,"description":"Market volumes daily changes","example":"{\n  \"quoteVolume\": \"0\",\n  \"baseVolume\": \"0\",\n  \"initialPrice\": 0\n}","schema":{"type":"object","types":["object"],"description":"Market volumes daily changes","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"quoteVolume","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"baseVolume","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"initialPrice","type":"number","required":true,"example":"0","schema":{"type":"number","types":["number"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}},{"name":"incentive","type":"object","required":true,"description":"Funding info","example":"{\n  \"timestamp\": \"2026-01-01T00:00:00Z\",\n  \"twapIndexPrice\": \"0\",\n  \"twapSpotPrice\": \"0\",\n  \"longFundingRate\": \"0\",\n  \"shortFundingRate\": \"0\"\n}","schema":{"type":"object","types":["object"],"description":"Funding info","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"timestamp","type":"string · date-time · nullable","required":true,"example":"2026-01-01T00:00:00Z","schema":{"type":"string · date-time · nullable","types":["string"],"nullable":true,"readOnly":false,"writeOnly":false,"constraints":{"format":"date-time"},"properties":[],"variants":[]}},{"name":"twapIndexPrice","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"twapSpotPrice","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"longFundingRate","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"shortFundingRate","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}}],"variants":[]}},{"name":"settings","type":"object","required":true,"description":"Amm settings","example":"{\n  \"fee\": \"0\",\n  \"executionFee\": \"0\",\n  \"rolloverFee\": \"0\",\n  \"fundingPeriod\": 0,\n  \"ammType\": \"string\",\n  \"minInitMarginRatio\": \"0\",\n  \"initMarginRatio\": \"0\",\n  \"maintenanceMarginRatio\": \"0\",\n  \"liquidationFeeRatio\": \"0\",\n  \"partialLiquidationRatio\": \"0\",\n  \"spreadLimit\": \"0\",\n  \"maxPriceImpact\": \"0\",\n  \"maxPriceSpread\": \"0\",\n  \"maxOpenNotional\": \"0\",\n  \"feeToStakersPercent\": \"0\",\n  \"maxOracleDelay\": 0,\n  \"fundingMode\": 0,\n  \"oracleMode\": 0,\n  \"positionMode\": 0,\n  \"fundingSettings\": {\n    \"lowFundingFnA\": 0,\n    \"lowFundingFnB\": 0,\n    \"highFundingFnA\": 0,\n    \"highFundingFnB\": 0,\n    \"inflectionPoint\": 0\n  },\n  \"isCloseOnly\": true,\n  \"isPaused\": true,\n  \"status\": \"active\"\n}","schema":{"type":"object","types":["object"],"description":"Amm settings","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"fee","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"executionFee","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"rolloverFee","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"fundingPeriod","type":"number","required":true,"example":"0","schema":{"type":"number","types":["number"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"ammType","type":"string","required":true,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"minInitMarginRatio","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"initMarginRatio","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"maintenanceMarginRatio","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"liquidationFeeRatio","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"partialLiquidationRatio","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"spreadLimit","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"maxPriceImpact","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"maxPriceSpread","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"maxOpenNotional","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"feeToStakersPercent","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"maxOracleDelay","type":"number","required":true,"example":"0","schema":{"type":"number","types":["number"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"fundingMode","type":"number","required":true,"example":"0","schema":{"type":"number","types":["number"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"oracleMode","type":"number","required":true,"example":"0","schema":{"type":"number","types":["number"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"positionMode","type":"number","required":true,"example":"0","schema":{"type":"number","types":["number"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"fundingSettings","type":"object · nullable","required":true,"example":"{\n  \"lowFundingFnA\": 0,\n  \"lowFundingFnB\": 0,\n  \"highFundingFnA\": 0,\n  \"highFundingFnB\": 0,\n  \"inflectionPoint\": 0\n}","schema":{"type":"object · nullable","types":["object"],"nullable":true,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"lowFundingFnA","type":"number","required":false,"example":"0","schema":{"type":"number","types":["number"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"lowFundingFnB","type":"number","required":false,"example":"0","schema":{"type":"number","types":["number"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"highFundingFnA","type":"number","required":false,"example":"0","schema":{"type":"number","types":["number"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"highFundingFnB","type":"number","required":false,"example":"0","schema":{"type":"number","types":["number"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"inflectionPoint","type":"number","required":false,"example":"0","schema":{"type":"number","types":["number"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}},{"name":"isCloseOnly","type":"boolean","required":true,"example":"true","schema":{"type":"boolean","types":["boolean"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"isPaused","type":"boolean","required":true,"example":"true","schema":{"type":"boolean","types":["boolean"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"status","type":"string · enum","required":true,"example":"active","schema":{"type":"string · enum","types":["string"],"enum":["active","closed","paused","closeOnly"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}},{"name":"config","type":"object","required":true,"description":"Market config","example":"{\n  \"address\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n  \"imageLink\": \"string\",\n  \"quoteAsset\": \"string\",\n  \"baseAsset\": \"string\",\n  \"name\": \"string\",\n  \"ticker\": \"string\",\n  \"vaultAddress\": \"string\",\n  \"type\": \"string\",\n  \"tags\": [\n    \"string\"\n  ],\n  \"closestPauseAt\": 0,\n  \"closestUnpauseAt\": 0,\n  \"isDayTrading\": true,\n  \"dayTradingLeverageLimit\": 0\n}","schema":{"type":"object","types":["object"],"description":"Market config","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"address","type":"string","required":true,"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","schema":{"type":"string","types":["string"],"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"imageLink","type":"string","required":true,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"quoteAsset","type":"string","required":true,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"baseAsset","type":"string","required":true,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"name","type":"string","required":true,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"ticker","type":"string","required":true,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"vaultAddress","type":"string","required":true,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"type","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"tags","type":"string[]","required":true,"example":"[\n  \"string\"\n]","schema":{"type":"string[]","types":["array"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"items":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]},"variants":[]}},{"name":"closestPauseAt","type":"number · nullable","required":true,"example":"0","schema":{"type":"number · nullable","types":["number"],"nullable":true,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"closestUnpauseAt","type":"number · nullable","required":true,"example":"0","schema":{"type":"number · nullable","types":["number"],"nullable":true,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"isDayTrading","type":"boolean","required":true,"example":"true","schema":{"type":"boolean","types":["boolean"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"dayTradingLeverageLimit","type":"number · nullable","required":true,"example":"0","schema":{"type":"number · nullable","types":["number"],"nullable":true,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}},{"name":"prelaunch","type":"object","required":false,"description":"Prelaunch","example":"{\n  \"address\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n  \"assetName\": \"string\",\n  \"startTime\": \"2026-01-01T00:00:00Z\",\n  \"endTime\": \"2026-01-01T00:00:00Z\",\n  \"paused\": true,\n  \"closeOnly\": true,\n  \"createdAt\": \"2026-01-01T00:00:00Z\",\n  \"settings\": {\n    \"tradingDelayForNonWhitelistUsers\": 0,\n    \"preMarketStatus\": \"off\",\n    \"showAlert\": true,\n    \"alertType\": \"warning\",\n    \"alertTitle\": \"string\",\n    \"alertSubtitle\": \"string\"\n  }\n}","schema":{"type":"object","types":["object"],"description":"Prelaunch","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"address","type":"string","required":true,"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","schema":{"type":"string","types":["string"],"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"assetName","type":"string","required":true,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"startTime","type":"string · date-time · nullable","required":true,"example":"2026-01-01T00:00:00Z","schema":{"type":"string · date-time · nullable","types":["string"],"nullable":true,"readOnly":false,"writeOnly":false,"constraints":{"format":"date-time"},"properties":[],"variants":[]}},{"name":"endTime","type":"string · date-time · nullable","required":true,"example":"2026-01-01T00:00:00Z","schema":{"type":"string · date-time · nullable","types":["string"],"nullable":true,"readOnly":false,"writeOnly":false,"constraints":{"format":"date-time"},"properties":[],"variants":[]}},{"name":"paused","type":"boolean","required":true,"example":"true","schema":{"type":"boolean","types":["boolean"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"closeOnly","type":"boolean","required":true,"example":"true","schema":{"type":"boolean","types":["boolean"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"createdAt","type":"string · date-time","required":true,"example":"2026-01-01T00:00:00Z","schema":{"type":"string · date-time","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"date-time"},"properties":[],"variants":[]}},{"name":"settings","type":"object · nullable","required":true,"example":"{\n  \"tradingDelayForNonWhitelistUsers\": 0,\n  \"preMarketStatus\": \"off\",\n  \"showAlert\": true,\n  \"alertType\": \"warning\",\n  \"alertTitle\": \"string\",\n  \"alertSubtitle\": \"string\"\n}","schema":{"type":"object · nullable","types":["object"],"nullable":true,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"tradingDelayForNonWhitelistUsers","type":"number","required":false,"example":"0","schema":{"type":"number","types":["number"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"preMarketStatus","type":"string · enum","required":false,"example":"off","schema":{"type":"string · enum","types":["string"],"enum":["off","whitelistOnly","allowedForAll"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"showAlert","type":"boolean","required":false,"example":"true","schema":{"type":"boolean","types":["boolean"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"alertType","type":"string · enum","required":false,"example":"warning","schema":{"type":"string · enum","types":["string"],"enum":["warning","success","info","error"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"alertTitle","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"alertSubtitle","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}}],"variants":[]}}],"variants":[]},"example":"{\n  \"address\": \"string\",\n  \"amm\": {\n    \"address\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n    \"txId\": \"string\",\n    \"call\": \"OffchainOracleTick\",\n    \"height\": \"0\",\n    \"blockTimestamp\": \"2026-01-01T00:00:00Z\",\n    \"seqno\": \"0\",\n    \"indexPrice\": \"0\",\n    \"baseOraclePrice\": \"0\",\n    \"quoteOraclePrice\": \"0\",\n    \"quoteAssetReserve\": \"0\",\n    \"baseAssetReserve\": \"0\",\n    \"baseAssetReserveWeight\": \"0\",\n    \"quoteAssetReserveWeight\": \"0\",\n    \"totalPositionSize\": \"0\",\n    \"totalLongPositionSize\": \"0\",\n    \"totalShortPositionSize\": \"0\",\n    \"openInterestNotional\": \"0\",\n    \"openInterestShort\": \"0\",\n    \"openInterestLong\": \"0\",\n    \"latestLongPremiumFraction\": \"0\",\n    \"latestShortPremiumFraction\": \"0\",\n    \"nextFundingBlock\": \"2026-01-01T00:00:00Z\",\n    \"longFundingRate\": \"0\",\n    \"shortFundingRate\": \"0\",\n    \"vpiMarketDepthLong\": \"0\",\n    \"vpiMarketDepthShort\": \"0\",\n    \"vpiSpread\": \"0\",\n    \"vpiCoefficient\": \"0\"\n  },\n  \"change\": {\n    \"quoteVolume\": \"0\",\n    \"baseVolume\": \"0\",\n    \"initialPrice\": 0\n  },\n  \"incentive\": {\n    \"timestamp\": \"2026-01-01T00:00:00Z\",\n    \"twapIndexPrice\": \"0\",\n    \"twapSpotPrice\": \"0\",\n    \"longFundingRate\": \"0\",\n    \"shortFundingRate\": \"0\"\n  },\n  \"settings\": {\n    \"fee\": \"0\",\n    \"executionFee\": \"0\",\n    \"rolloverFee\": \"0\",\n    \"fundingPeriod\": 0,\n    \"ammType\": \"string\",\n    \"minInitMarginRatio\": \"0\",\n    \"initMarginRatio\": \"0\",\n    \"maintenanceMarginRatio\": \"0\",\n    \"liquidationFeeRatio\": \"0\",\n    \"partialLiquidationRatio\": \"0\",\n    \"spreadLimit\": \"0\",\n    \"maxPriceImpact\": \"0\",\n    \"maxPriceSpread\": \"0\",\n    \"maxOpenNotional\": \"0\",\n    \"feeToStakersPercent\": \"0\",\n    \"maxOracleDelay\": 0,\n    \"fundingMode\": 0,\n    \"oracleMode\": 0,\n    \"positionMode\": 0,\n    \"fundingSettings\": {\n      \"lowFundingFnA\": 0,\n      \"lowFundingFnB\": 0,\n      \"highFundingFnA\": 0,\n      \"highFundingFnB\": 0,\n      \"inflectionPoint\": 0\n    },\n    \"isCloseOnly\": true,\n    \"isPaused\": true,\n    \"status\": \"active\"\n  },\n  \"config\": {\n    \"address\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n    \"imageLink\": \"string\",\n    \"quoteAsset\": \"string\",\n    \"baseAsset\": \"string\",\n    \"name\": \"string\",\n    \"ticker\": \"string\",\n    \"vaultAddress\": \"string\",\n    \"type\": \"string\",\n    \"tags\": [\n      \"string\"\n    ],\n    \"closestPauseAt\": 0,\n    \"closestUnpauseAt\": 0,\n    \"isDayTrading\": true,\n    \"dayTradingLeverageLimit\": 0\n  },\n  \"prelaunch\": {\n    \"address\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n    \"assetName\": \"string\",\n    \"startTime\": \"2026-01-01T00:00:00Z\",\n    \"endTime\": \"2026-01-01T00:00:00Z\",\n    \"paused\": true,\n    \"closeOnly\": true,\n    \"createdAt\": \"2026-01-01T00:00:00Z\",\n    \"settings\": {\n      \"tradingDelayForNonWhitelistUsers\": 0,\n      \"preMarketStatus\": \"off\",\n      \"showAlert\": true,\n      \"alertType\": \"warning\",\n      \"alertTitle\": \"string\",\n      \"alertSubtitle\": \"string\"\n    }\n  }\n}","headers":[]}],"security":[],"codeSamples":[{"label":"cURL","language":"bash","source":"curl --request GET 'https://api.storm.tg/api/markets/{address}' \\\n  --header 'Accept: application/json'"},{"label":"JavaScript","language":"javascript","source":"const response = await fetch(\"https://api.storm.tg/api/markets/{address}\", {\n  method: \"GET\",\n  headers: {\n    \"Accept\": \"application/json\"\n  },\n});\nconsole.log(response.status, await response.text());"},{"label":"Python","language":"python","source":"import requests\n\nresponse = requests.request(\n    \"GET\",\n    \"https://api.storm.tg/api/markets/{address}\",\n    headers={\"Accept\":\"application/json\"},\n    timeout=30,\n)\nprint(response.status_code, response.text)"}]},"breadcrumbs":[{"title":"⚡ About Storm Trade","url":"https://docs.storm.tg"},{"title":"For Developers","url":"https://docs.storm.tg/developers"},{"title":"Get a market","url":"https://docs.storm.tg/developers/operations/getmarket"}],"headings":[{"depth":2,"id":"parameters","title":"Parameters"},{"depth":2,"id":"examples","title":"Examples"},{"depth":2,"id":"responses","title":"Responses"}],"markdown":"# Get a market\n\n`GET /api/markets/{address}`\n\nReturns full market info with current state\n\n## Authorization\n\n\n\n## Parameters\n\n- path: address (string; required). \n\nType: string\n\n## Example · cURL\n\n```bash\ncurl --request GET 'https://api.storm.tg/api/markets/{address}' \\\n  --header 'Accept: application/json'\n```\n\n## Example · JavaScript\n\n```javascript\nconst response = await fetch(\"https://api.storm.tg/api/markets/{address}\", {\n  method: \"GET\",\n  headers: {\n    \"Accept\": \"application/json\"\n  },\n});\nconsole.log(response.status, await response.text());\n```\n\n## Example · Python\n\n```python\nimport requests\n\nresponse = requests.request(\n    \"GET\",\n    \"https://api.storm.tg/api/markets/{address}\",\n    headers={\"Accept\":\"application/json\"},\n    timeout=30,\n)\nprint(response.status_code, response.text)\n```\n\n## Response 200 · Data.MarketResponse\n\n**200** application/json — Response\n\nSchema: Data.MarketResponse\n\nType: object\n\nRequired fields: address, amm, change, incentive, settings, config\n\nRequired field types: address (string; required), amm (object; required), change (object; required), incentive (object; required), settings (object; required), config (object; required)\n\n- address (string; required)\n\naddress example: string\n\naddress.Type: string\n\naddress.Market address\n\n- amm (object; required)\n\namm example: {\n  \"address\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n  \"txId\": \"string\",\n  \"call\": \"OffchainOracleTick\",\n  \"height\": \"0\",\n  \"blockTimestamp\": \"2026-01-01T00:00:00Z\",\n  \"seqno\": \"0\",\n  \"indexPrice\": \"0\",\n  \"baseOraclePrice\": \"0\",\n  \"quoteOraclePrice\": \"0\",\n  \"quoteAssetReserve\": \"0\",\n  \"baseAssetReserve\": \"0\",\n  \"baseAssetReserveWeight\": \"0\",\n  \"quoteAssetReserveWeight\": \"0\",\n  \"totalPositionSize\": \"0\",\n  \"totalLongPositionSize\": \"0\",\n  \"totalShortPositionSize\": \"0\",\n  \"openInterestNotional\": \"0\",\n  \"openInterestShort\": \"0\",\n  \"openInterestLong\": \"0\",\n  \"latestLongPremiumFraction\": \"0\",\n  \"latestShortPremiumFraction\": \"0\",\n  \"nextFundingBlock\": \"2026-01-01T00:00:00Z\",\n  \"longFundingRate\": \"0\",\n  \"shortFundingRate\": \"0\",\n  \"vpiMarketDepthLong\": \"0\",\n  \"vpiMarketDepthShort\": \"0\",\n  \"vpiSpread\": \"0\",\n  \"vpiCoefficient\": \"0\"\n}\n\namm.Type: object\n\namm.Required fields: address, txId, call, height, blockTimestamp, seqno, indexPrice, baseOraclePrice, quoteOraclePrice, quoteAssetReserve, baseAssetReserve, baseAssetReserveWeight, quoteAssetReserveWeight, totalPositionSize, totalLongPositionSize, totalShortPositionSize, openInterestNotional, openInterestShort, openInterestLong, latestLongPremiumFraction, latestShortPremiumFraction, nextFundingBlock, longFundingRate, shortFundingRate, vpiMarketDepthLong, vpiMarketDepthShort, vpiSpread, vpiCoefficient\n\namm.Required field types: address (string; required), txId (string · nullable; required), call (string; required), height (string · int64; required), blockTimestamp (string · date-time; required), seqno (string · int64; required), indexPrice (string · int64; required), baseOraclePrice (string · int64; required), quoteOraclePrice (string · int64; required), quoteAssetReserve (string · int64; required), baseAssetReserve (string · int64; required), baseAssetReserveWeight (string · int64; required), quoteAssetReserveWeight (string · int64; required), totalPositionSize (string · int64; required), totalLongPositionSize (string · int64; required), totalShortPositionSize (string · int64; required), openInterestNotional (string · int64; required), openInterestShort (string · int64; required), openInterestLong (string · int64; required), latestLongPremiumFraction (string · int64; required), latestShortPremiumFraction (string · int64; required), nextFundingBlock (string · date-time; required), longFundingRate (string · int64; required), shortFundingRate (string · int64; required), vpiMarketDepthLong (string · int64; required), vpiMarketDepthShort (string · int64; required), vpiSpread (string · int64; required), vpiCoefficient (string · int64; required)\n\namm.Current amm state\n\n- amm.address (string; required)\n\namm.address example: 0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\n\namm.address.Type: string\n\n- amm.txId (string · nullable; required)\n\namm.txId example: string\n\namm.txId.Type: string · nullable\n\n- amm.call (string; required)\n\namm.call example: OffchainOracleTick\n\namm.call.Type: string\n\n- amm.height (string · int64; required)\n\namm.height example: 0\n\namm.height.Type: string · int64\n\namm.height.format: int64\n\namm.height.pattern: ^(0|-?[1-9][0-9]*)$\n\n- amm.blockTimestamp (string · date-time; required)\n\namm.blockTimestamp example: 2026-01-01T00:00:00Z\n\namm.blockTimestamp.Type: string · date-time\n\namm.blockTimestamp.format: date-time\n\n- amm.seqno (string · int64; required)\n\namm.seqno example: 0\n\namm.seqno.Type: string · int64\n\namm.seqno.format: int64\n\namm.seqno.pattern: ^(0|-?[1-9][0-9]*)$\n\n- amm.indexPrice (string · int64; required)\n\namm.indexPrice example: 0\n\namm.indexPrice.Type: string · int64\n\namm.indexPrice.format: int64\n\namm.indexPrice.pattern: ^(0|-?[1-9][0-9]*)$\n\n- amm.baseOraclePrice (string · int64; required)\n\namm.baseOraclePrice example: 0\n\namm.baseOraclePrice.Type: string · int64\n\namm.baseOraclePrice.format: int64\n\namm.baseOraclePrice.pattern: ^(0|-?[1-9][0-9]*)$\n\n- amm.quoteOraclePrice (string · int64; required)\n\namm.quoteOraclePrice example: 0\n\namm.quoteOraclePrice.Type: string · int64\n\namm.quoteOraclePrice.format: int64\n\namm.quoteOraclePrice.pattern: ^(0|-?[1-9][0-9]*)$\n\n- amm.quoteAssetReserve (string · int64; required)\n\namm.quoteAssetReserve example: 0\n\namm.quoteAssetReserve.Type: string · int64\n\namm.quoteAssetReserve.format: int64\n\namm.quoteAssetReserve.pattern: ^(0|-?[1-9][0-9]*)$\n\n- amm.baseAssetReserve (string · int64; required)\n\namm.baseAssetReserve example: 0\n\namm.baseAssetReserve.Type: string · int64\n\namm.baseAssetReserve.format: int64\n\namm.baseAssetReserve.pattern: ^(0|-?[1-9][0-9]*)$\n\n- amm.baseAssetReserveWeight (string · int64; required)\n\namm.baseAssetReserveWeight example: 0\n\namm.baseAssetReserveWeight.Type: string · int64\n\namm.baseAssetReserveWeight.format: int64\n\namm.baseAssetReserveWeight.pattern: ^(0|-?[1-9][0-9]*)$\n\n- amm.quoteAssetReserveWeight (string · int64; required)\n\namm.quoteAssetReserveWeight example: 0\n\namm.quoteAssetReserveWeight.Type: string · int64\n\namm.quoteAssetReserveWeight.format: int64\n\namm.quoteAssetReserveWeight.pattern: ^(0|-?[1-9][0-9]*)$\n\n- amm.totalPositionSize (string · int64; required)\n\namm.totalPositionSize example: 0\n\namm.totalPositionSize.Type: string · int64\n\namm.totalPositionSize.format: int64\n\namm.totalPositionSize.pattern: ^(0|-?[1-9][0-9]*)$\n\n- amm.totalLongPositionSize (string · int64; required)\n\namm.totalLongPositionSize example: 0\n\namm.totalLongPositionSize.Type: string · int64\n\namm.totalLongPositionSize.format: int64\n\namm.totalLongPositionSize.pattern: ^(0|-?[1-9][0-9]*)$\n\n- amm.totalShortPositionSize (string · int64; required)\n\namm.totalShortPositionSize example: 0\n\namm.totalShortPositionSize.Type: string · int64\n\namm.totalShortPositionSize.format: int64\n\namm.totalShortPositionSize.pattern: ^(0|-?[1-9][0-9]*)$\n\n- amm.openInterestNotional (string · int64; required)\n\namm.openInterestNotional example: 0\n\namm.openInterestNotional.Type: string · int64\n\namm.openInterestNotional.format: int64\n\namm.openInterestNotional.pattern: ^(0|-?[1-9][0-9]*)$\n\n- amm.openInterestShort (string · int64; required)\n\namm.openInterestShort example: 0\n\namm.openInterestShort.Type: string · int64\n\namm.openInterestShort.format: int64\n\namm.openInterestShort.pattern: ^(0|-?[1-9][0-9]*)$\n\n- amm.openInterestLong (string · int64; required)\n\namm.openInterestLong example: 0\n\namm.openInterestLong.Type: string · int64\n\namm.openInterestLong.format: int64\n\namm.openInterestLong.pattern: ^(0|-?[1-9][0-9]*)$\n\n- amm.latestLongPremiumFraction (string · int64; required)\n\namm.latestLongPremiumFraction example: 0\n\namm.latestLongPremiumFraction.Type: string · int64\n\namm.latestLongPremiumFraction.format: int64\n\namm.latestLongPremiumFraction.pattern: ^(0|-?[1-9][0-9]*)$\n\n- amm.latestShortPremiumFraction (string · int64; required)\n\namm.latestShortPremiumFraction example: 0\n\namm.latestShortPremiumFraction.Type: string · int64\n\namm.latestShortPremiumFraction.format: int64\n\namm.latestShortPremiumFraction.pattern: ^(0|-?[1-9][0-9]*)$\n\n- amm.nextFundingBlock (string · date-time; required)\n\namm.nextFundingBlock example: 2026-01-01T00:00:00Z\n\namm.nextFundingBlock.Type: string · date-time\n\namm.nextFundingBlock.format: date-time\n\n- amm.longFundingRate (string · int64; required)\n\namm.longFundingRate example: 0\n\namm.longFundingRate.Type: string · int64\n\namm.longFundingRate.format: int64\n\namm.longFundingRate.pattern: ^(0|-?[1-9][0-9]*)$\n\n- amm.shortFundingRate (string · int64; required)\n\namm.shortFundingRate example: 0\n\namm.shortFundingRate.Type: string · int64\n\namm.shortFundingRate.format: int64\n\namm.shortFundingRate.pattern: ^(0|-?[1-9][0-9]*)$\n\n- amm.vpiMarketDepthLong (string · int64; required)\n\namm.vpiMarketDepthLong example: 0\n\namm.vpiMarketDepthLong.Type: string · int64\n\namm.vpiMarketDepthLong.format: int64\n\namm.vpiMarketDepthLong.pattern: ^(0|-?[1-9][0-9]*)$\n\n- amm.vpiMarketDepthShort (string · int64; required)\n\namm.vpiMarketDepthShort example: 0\n\namm.vpiMarketDepthShort.Type: string · int64\n\namm.vpiMarketDepthShort.format: int64\n\namm.vpiMarketDepthShort.pattern: ^(0|-?[1-9][0-9]*)$\n\n- amm.vpiSpread (string · int64; required)\n\namm.vpiSpread example: 0\n\namm.vpiSpread.Type: string · int64\n\namm.vpiSpread.format: int64\n\namm.vpiSpread.pattern: ^(0|-?[1-9][0-9]*)$\n\n- amm.vpiCoefficient (string · int64; required)\n\namm.vpiCoefficient example: 0\n\namm.vpiCoefficient.Type: string · int64\n\namm.vpiCoefficient.format: int64\n\namm.vpiCoefficient.pattern: ^(0|-?[1-9][0-9]*)$\n\n- change (object; required)\n\nchange example: {\n  \"quoteVolume\": \"0\",\n  \"baseVolume\": \"0\",\n  \"initialPrice\": 0\n}\n\nchange.Type: object\n\nchange.Required fields: quoteVolume, baseVolume, initialPrice\n\nchange.Required field types: quoteVolume (string · int64; required), baseVolume (string · int64; required), initialPrice (number; required)\n\nchange.Market volumes daily changes\n\n- change.quoteVolume (string · int64; required)\n\nchange.quoteVolume example: 0\n\nchange.quoteVolume.Type: string · int64\n\nchange.quoteVolume.format: int64\n\nchange.quoteVolume.pattern: ^(0|-?[1-9][0-9]*)$\n\n- change.baseVolume (string · int64; required)\n\nchange.baseVolume example: 0\n\nchange.baseVolume.Type: string · int64\n\nchange.baseVolume.format: int64\n\nchange.baseVolume.pattern: ^(0|-?[1-9][0-9]*)$\n\n- change.initialPrice (number; required)\n\nchange.initialPrice example: 0\n\nchange.initialPrice.Type: number\n\n- incentive (object; required)\n\nincentive example: {\n  \"timestamp\": \"2026-01-01T00:00:00Z\",\n  \"twapIndexPrice\": \"0\",\n  \"twapSpotPrice\": \"0\",\n  \"longFundingRate\": \"0\",\n  \"shortFundingRate\": \"0\"\n}\n\nincentive.Type: object\n\nincentive.Required fields: timestamp, twapIndexPrice, twapSpotPrice, longFundingRate, shortFundingRate\n\nincentive.Required field types: timestamp (string · date-time · nullable; required), twapIndexPrice (string · int64; required), twapSpotPrice (string · int64; required), longFundingRate (string · int64; required), shortFundingRate (string · int64; required)\n\nincentive.Funding info\n\n- incentive.timestamp (string · date-time · nullable; required)\n\nincentive.timestamp example: 2026-01-01T00:00:00Z\n\nincentive.timestamp.Type: string · date-time · nullable\n\nincentive.timestamp.format: date-time\n\n- incentive.twapIndexPrice (string · int64; required)\n\nincentive.twapIndexPrice example: 0\n\nincentive.twapIndexPrice.Type: string · int64\n\nincentive.twapIndexPrice.format: int64\n\nincentive.twapIndexPrice.pattern: ^(0|-?[1-9][0-9]*)$\n\n- incentive.twapSpotPrice (string · int64; required)\n\nincentive.twapSpotPrice example: 0\n\nincentive.twapSpotPrice.Type: string · int64\n\nincentive.twapSpotPrice.format: int64\n\nincentive.twapSpotPrice.pattern: ^(0|-?[1-9][0-9]*)$\n\n- incentive.longFundingRate (string · int64; required)\n\nincentive.longFundingRate example: 0\n\nincentive.longFundingRate.Type: string · int64\n\nincentive.longFundingRate.format: int64\n\nincentive.longFundingRate.pattern: ^(0|-?[1-9][0-9]*)$\n\n- incentive.shortFundingRate (string · int64; required)\n\nincentive.shortFundingRate example: 0\n\nincentive.shortFundingRate.Type: string · int64\n\nincentive.shortFundingRate.format: int64\n\nincentive.shortFundingRate.pattern: ^(0|-?[1-9][0-9]*)$\n\n- settings (object; required)\n\nsettings example: {\n  \"fee\": \"0\",\n  \"executionFee\": \"0\",\n  \"rolloverFee\": \"0\",\n  \"fundingPeriod\": 0,\n  \"ammType\": \"string\",\n  \"minInitMarginRatio\": \"0\",\n  \"initMarginRatio\": \"0\",\n  \"maintenanceMarginRatio\": \"0\",\n  \"liquidationFeeRatio\": \"0\",\n  \"partialLiquidationRatio\": \"0\",\n  \"spreadLimit\": \"0\",\n  \"maxPriceImpact\": \"0\",\n  \"maxPriceSpread\": \"0\",\n  \"maxOpenNotional\": \"0\",\n  \"feeToStakersPercent\": \"0\",\n  \"maxOracleDelay\": 0,\n  \"fundingMode\": 0,\n  \"oracleMode\": 0,\n  \"positionMode\": 0,\n  \"fundingSettings\": {\n    \"lowFundingFnA\": 0,\n    \"lowFundingFnB\": 0,\n    \"highFundingFnA\": 0,\n    \"highFundingFnB\": 0,\n    \"inflectionPoint\": 0\n  },\n  \"isCloseOnly\": true,\n  \"isPaused\": true,\n  \"status\": \"active\"\n}\n\nsettings.Type: object\n\nsettings.Required fields: fee, executionFee, rolloverFee, fundingPeriod, ammType, minInitMarginRatio, initMarginRatio, maintenanceMarginRatio, liquidationFeeRatio, partialLiquidationRatio, spreadLimit, maxPriceImpact, maxPriceSpread, maxOpenNotional, feeToStakersPercent, maxOracleDelay, fundingMode, oracleMode, positionMode, fundingSettings, isCloseOnly, isPaused, status\n\nsettings.Required field types: fee (string · int64; required), executionFee (string · int64; required), rolloverFee (string · int64; required), fundingPeriod (number; required), ammType (string; required), minInitMarginRatio (string · int64; required), initMarginRatio (string · int64; required), maintenanceMarginRatio (string · int64; required), liquidationFeeRatio (string · int64; required), partialLiquidationRatio (string · int64; required), spreadLimit (string · int64; required), maxPriceImpact (string · int64; required), maxPriceSpread (string · int64; required), maxOpenNotional (string · int64; required), feeToStakersPercent (string · int64; required), maxOracleDelay (number; required), fundingMode (number; required), oracleMode (number; required), positionMode (number; required), fundingSettings (object · nullable; required), isCloseOnly (boolean; required), isPaused (boolean; required), status (string · enum; required)\n\nsettings.Amm settings\n\n- settings.fee (string · int64; required)\n\nsettings.fee example: 0\n\nsettings.fee.Type: string · int64\n\nsettings.fee.format: int64\n\nsettings.fee.pattern: ^(0|-?[1-9][0-9]*)$\n\n- settings.executionFee (string · int64; required)\n\nsettings.executionFee example: 0\n\nsettings.executionFee.Type: string · int64\n\nsettings.executionFee.format: int64\n\nsettings.executionFee.pattern: ^(0|-?[1-9][0-9]*)$\n\n- settings.rolloverFee (string · int64; required)\n\nsettings.rolloverFee example: 0\n\nsettings.rolloverFee.Type: string · int64\n\nsettings.rolloverFee.format: int64\n\nsettings.rolloverFee.pattern: ^(0|-?[1-9][0-9]*)$\n\n- settings.fundingPeriod (number; required)\n\nsettings.fundingPeriod example: 0\n\nsettings.fundingPeriod.Type: number\n\n- settings.ammType (string; required)\n\nsettings.ammType example: string\n\nsettings.ammType.Type: string\n\n- settings.minInitMarginRatio (string · int64; required)\n\nsettings.minInitMarginRatio example: 0\n\nsettings.minInitMarginRatio.Type: string · int64\n\nsettings.minInitMarginRatio.format: int64\n\nsettings.minInitMarginRatio.pattern: ^(0|-?[1-9][0-9]*)$\n\n- settings.initMarginRatio (string · int64; required)\n\nsettings.initMarginRatio example: 0\n\nsettings.initMarginRatio.Type: string · int64\n\nsettings.initMarginRatio.format: int64\n\nsettings.initMarginRatio.pattern: ^(0|-?[1-9][0-9]*)$\n\n- settings.maintenanceMarginRatio (string · int64; required)\n\nsettings.maintenanceMarginRatio example: 0\n\nsettings.maintenanceMarginRatio.Type: string · int64\n\nsettings.maintenanceMarginRatio.format: int64\n\nsettings.maintenanceMarginRatio.pattern: ^(0|-?[1-9][0-9]*)$\n\n- settings.liquidationFeeRatio (string · int64; required)\n\nsettings.liquidationFeeRatio example: 0\n\nsettings.liquidationFeeRatio.Type: string · int64\n\nsettings.liquidationFeeRatio.format: int64\n\nsettings.liquidationFeeRatio.pattern: ^(0|-?[1-9][0-9]*)$\n\n- settings.partialLiquidationRatio (string · int64; required)\n\nsettings.partialLiquidationRatio example: 0\n\nsettings.partialLiquidationRatio.Type: string · int64\n\nsettings.partialLiquidationRatio.format: int64\n\nsettings.partialLiquidationRatio.pattern: ^(0|-?[1-9][0-9]*)$\n\n- settings.spreadLimit (string · int64; required)\n\nsettings.spreadLimit example: 0\n\nsettings.spreadLimit.Type: string · int64\n\nsettings.spreadLimit.format: int64\n\nsettings.spreadLimit.pattern: ^(0|-?[1-9][0-9]*)$\n\n- settings.maxPriceImpact (string · int64; required)\n\nsettings.maxPriceImpact example: 0\n\nsettings.maxPriceImpact.Type: string · int64\n\nsettings.maxPriceImpact.format: int64\n\nsettings.maxPriceImpact.pattern: ^(0|-?[1-9][0-9]*)$\n\n- settings.maxPriceSpread (string · int64; required)\n\nsettings.maxPriceSpread example: 0\n\nsettings.maxPriceSpread.Type: string · int64\n\nsettings.maxPriceSpread.format: int64\n\nsettings.maxPriceSpread.pattern: ^(0|-?[1-9][0-9]*)$\n\n- settings.maxOpenNotional (string · int64; required)\n\nsettings.maxOpenNotional example: 0\n\nsettings.maxOpenNotional.Type: string · int64\n\nsettings.maxOpenNotional.format: int64\n\nsettings.maxOpenNotional.pattern: ^(0|-?[1-9][0-9]*)$\n\n- settings.feeToStakersPercent (string · int64; required)\n\nsettings.feeToStakersPercent example: 0\n\nsettings.feeToStakersPercent.Type: string · int64\n\nsettings.feeToStakersPercent.format: int64\n\nsettings.feeToStakersPercent.pattern: ^(0|-?[1-9][0-9]*)$\n\n- settings.maxOracleDelay (number; required)\n\nsettings.maxOracleDelay example: 0\n\nsettings.maxOracleDelay.Type: number\n\n- settings.fundingMode (number; required)\n\nsettings.fundingMode example: 0\n\nsettings.fundingMode.Type: number\n\n- settings.oracleMode (number; required)\n\nsettings.oracleMode example: 0\n\nsettings.oracleMode.Type: number\n\n- settings.positionMode (number; required)\n\nsettings.positionMode example: 0\n\nsettings.positionMode.Type: number\n\n- settings.fundingSettings (object · nullable; required)\n\nsettings.fundingSettings example: {\n  \"lowFundingFnA\": 0,\n  \"lowFundingFnB\": 0,\n  \"highFundingFnA\": 0,\n  \"highFundingFnB\": 0,\n  \"inflectionPoint\": 0\n}\n\nsettings.fundingSettings.Type: object · nullable\n\nsettings.fundingSettings.Required fields: none\n\n- settings.fundingSettings.lowFundingFnA (number; optional)\n\nsettings.fundingSettings.lowFundingFnA example: 0\n\nsettings.fundingSettings.lowFundingFnA.Type: number\n\n- settings.fundingSettings.lowFundingFnB (number; optional)\n\nsettings.fundingSettings.lowFundingFnB example: 0\n\nsettings.fundingSettings.lowFundingFnB.Type: number\n\n- settings.fundingSettings.highFundingFnA (number; optional)\n\nsettings.fundingSettings.highFundingFnA example: 0\n\nsettings.fundingSettings.highFundingFnA.Type: number\n\n- settings.fundingSettings.highFundingFnB (number; optional)\n\nsettings.fundingSettings.highFundingFnB example: 0\n\nsettings.fundingSettings.highFundingFnB.Type: number\n\n- settings.fundingSettings.inflectionPoint (number; optional)\n\nsettings.fundingSettings.inflectionPoint example: 0\n\nsettings.fundingSettings.inflectionPoint.Type: number\n\n- settings.isCloseOnly (boolean; required)\n\nsettings.isCloseOnly example: true\n\nsettings.isCloseOnly.Type: boolean\n\n- settings.isPaused (boolean; required)\n\nsettings.isPaused example: true\n\nsettings.isPaused.Type: boolean\n\n- settings.status (string · enum; required)\n\nsettings.status example: active\n\nsettings.status.Type: string · enum\n\nsettings.status.Allowed values: [\"active\",\"closed\",\"paused\",\"closeOnly\"]\n\n- config (object; required)\n\nconfig example: {\n  \"address\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n  \"imageLink\": \"string\",\n  \"quoteAsset\": \"string\",\n  \"baseAsset\": \"string\",\n  \"name\": \"string\",\n  \"ticker\": \"string\",\n  \"vaultAddress\": \"string\",\n  \"type\": \"string\",\n  \"tags\": [\n    \"string\"\n  ],\n  \"closestPauseAt\": 0,\n  \"closestUnpauseAt\": 0,\n  \"isDayTrading\": true,\n  \"dayTradingLeverageLimit\": 0\n}\n\nconfig.Type: object\n\nconfig.Required fields: address, imageLink, quoteAsset, baseAsset, name, ticker, vaultAddress, tags, closestPauseAt, closestUnpauseAt, isDayTrading, dayTradingLeverageLimit\n\nconfig.Required field types: address (string; required), imageLink (string; required), quoteAsset (string; required), baseAsset (string; required), name (string; required), ticker (string; required), vaultAddress (string; required), tags (string[]; required), closestPauseAt (number · nullable; required), closestUnpauseAt (number · nullable; required), isDayTrading (boolean; required), dayTradingLeverageLimit (number · nullable; required)\n\nconfig.Market config\n\n- config.address (string; required)\n\nconfig.address example: 0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\n\nconfig.address.Type: string\n\n- config.imageLink (string; required)\n\nconfig.imageLink example: string\n\nconfig.imageLink.Type: string\n\n- config.quoteAsset (string; required)\n\nconfig.quoteAsset example: string\n\nconfig.quoteAsset.Type: string\n\n- config.baseAsset (string; required)\n\nconfig.baseAsset example: string\n\nconfig.baseAsset.Type: string\n\n- config.name (string; required)\n\nconfig.name example: string\n\nconfig.name.Type: string\n\n- config.ticker (string; required)\n\nconfig.ticker example: string\n\nconfig.ticker.Type: string\n\n- config.vaultAddress (string; required)\n\nconfig.vaultAddress example: string\n\nconfig.vaultAddress.Type: string\n\n- config.type (string; optional)\n\nconfig.type example: string\n\nconfig.type.Type: string\n\n- config.tags (string[]; required)\n\nconfig.tags example: [\n  \"string\"\n]\n\nconfig.tags.Type: string[]\n\nconfig.tags.[]Type: string\n\n- config.closestPauseAt (number · nullable; required)\n\nconfig.closestPauseAt example: 0\n\nconfig.closestPauseAt.Type: number · nullable\n\n- config.closestUnpauseAt (number · nullable; required)\n\nconfig.closestUnpauseAt example: 0\n\nconfig.closestUnpauseAt.Type: number · nullable\n\n- config.isDayTrading (boolean; required)\n\nconfig.isDayTrading example: true\n\nconfig.isDayTrading.Type: boolean\n\n- config.dayTradingLeverageLimit (number · nullable; required)\n\nconfig.dayTradingLeverageLimit example: 0\n\nconfig.dayTradingLeverageLimit.Type: number · nullable\n\n- prelaunch (object; optional)\n\nprelaunch example: {\n  \"address\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n  \"assetName\": \"string\",\n  \"startTime\": \"2026-01-01T00:00:00Z\",\n  \"endTime\": \"2026-01-01T00:00:00Z\",\n  \"paused\": true,\n  \"closeOnly\": true,\n  \"createdAt\": \"2026-01-01T00:00:00Z\",\n  \"settings\": {\n    \"tradingDelayForNonWhitelistUsers\": 0,\n    \"preMarketStatus\": \"off\",\n    \"showAlert\": true,\n    \"alertType\": \"warning\",\n    \"alertTitle\": \"string\",\n    \"alertSubtitle\": \"string\"\n  }\n}\n\nprelaunch.Type: object\n\nprelaunch.Required fields: address, assetName, startTime, endTime, paused, closeOnly, createdAt, settings\n\nprelaunch.Required field types: address (string; required), assetName (string; required), startTime (string · date-time · nullable; required), endTime (string · date-time · nullable; required), paused (boolean; required), closeOnly (boolean; required), createdAt (string · date-time; required), settings (object · nullable; required)\n\nprelaunch.Prelaunch\n\n- prelaunch.address (string; required)\n\nprelaunch.address example: 0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\n\nprelaunch.address.Type: string\n\n- prelaunch.assetName (string; required)\n\nprelaunch.assetName example: string\n\nprelaunch.assetName.Type: string\n\n- prelaunch.startTime (string · date-time · nullable; required)\n\nprelaunch.startTime example: 2026-01-01T00:00:00Z\n\nprelaunch.startTime.Type: string · date-time · nullable\n\nprelaunch.startTime.format: date-time\n\n- prelaunch.endTime (string · date-time · nullable; required)\n\nprelaunch.endTime example: 2026-01-01T00:00:00Z\n\nprelaunch.endTime.Type: string · date-time · nullable\n\nprelaunch.endTime.format: date-time\n\n- prelaunch.paused (boolean; required)\n\nprelaunch.paused example: true\n\nprelaunch.paused.Type: boolean\n\n- prelaunch.closeOnly (boolean; required)\n\nprelaunch.closeOnly example: true\n\nprelaunch.closeOnly.Type: boolean\n\n- prelaunch.createdAt (string · date-time; required)\n\nprelaunch.createdAt example: 2026-01-01T00:00:00Z\n\nprelaunch.createdAt.Type: string · date-time\n\nprelaunch.createdAt.format: date-time\n\n- prelaunch.settings (object · nullable; required)\n\nprelaunch.settings example: {\n  \"tradingDelayForNonWhitelistUsers\": 0,\n  \"preMarketStatus\": \"off\",\n  \"showAlert\": true,\n  \"alertType\": \"warning\",\n  \"alertTitle\": \"string\",\n  \"alertSubtitle\": \"string\"\n}\n\nprelaunch.settings.Type: object · nullable\n\nprelaunch.settings.Required fields: none\n\n- prelaunch.settings.tradingDelayForNonWhitelistUsers (number; optional)\n\nprelaunch.settings.tradingDelayForNonWhitelistUsers example: 0\n\nprelaunch.settings.tradingDelayForNonWhitelistUsers.Type: number\n\n- prelaunch.settings.preMarketStatus (string · enum; optional)\n\nprelaunch.settings.preMarketStatus example: off\n\nprelaunch.settings.preMarketStatus.Type: string · enum\n\nprelaunch.settings.preMarketStatus.Allowed values: [\"off\",\"whitelistOnly\",\"allowedForAll\"]\n\n- prelaunch.settings.showAlert (boolean; optional)\n\nprelaunch.settings.showAlert example: true\n\nprelaunch.settings.showAlert.Type: boolean\n\n- prelaunch.settings.alertType (string · enum; optional)\n\nprelaunch.settings.alertType example: warning\n\nprelaunch.settings.alertType.Type: string · enum\n\nprelaunch.settings.alertType.Allowed values: [\"warning\",\"success\",\"info\",\"error\"]\n\n- prelaunch.settings.alertTitle (string; optional)\n\nprelaunch.settings.alertTitle example: string\n\nprelaunch.settings.alertTitle.Type: string\n\n- prelaunch.settings.alertSubtitle (string; optional)\n\nprelaunch.settings.alertSubtitle example: string\n\nprelaunch.settings.alertSubtitle.Type: string\n\nExample\n\n\n\n```json\n{\n  \"address\": \"string\",\n  \"amm\": {\n    \"address\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n    \"txId\": \"string\",\n    \"call\": \"OffchainOracleTick\",\n    \"height\": \"0\",\n    \"blockTimestamp\": \"2026-01-01T00:00:00Z\",\n    \"seqno\": \"0\",\n    \"indexPrice\": \"0\",\n    \"baseOraclePrice\": \"0\",\n    \"quoteOraclePrice\": \"0\",\n    \"quoteAssetReserve\": \"0\",\n    \"baseAssetReserve\": \"0\",\n    \"baseAssetReserveWeight\": \"0\",\n    \"quoteAssetReserveWeight\": \"0\",\n    \"totalPositionSize\": \"0\",\n    \"totalLongPositionSize\": \"0\",\n    \"totalShortPositionSize\": \"0\",\n    \"openInterestNotional\": \"0\",\n    \"openInterestShort\": \"0\",\n    \"openInterestLong\": \"0\",\n    \"latestLongPremiumFraction\": \"0\",\n    \"latestShortPremiumFraction\": \"0\",\n    \"nextFundingBlock\": \"2026-01-01T00:00:00Z\",\n    \"longFundingRate\": \"0\",\n    \"shortFundingRate\": \"0\",\n    \"vpiMarketDepthLong\": \"0\",\n    \"vpiMarketDepthShort\": \"0\",\n    \"vpiSpread\": \"0\",\n    \"vpiCoefficient\": \"0\"\n  },\n  \"change\": {\n    \"quoteVolume\": \"0\",\n    \"baseVolume\": \"0\",\n    \"initialPrice\": 0\n  },\n  \"incentive\": {\n    \"timestamp\": \"2026-01-01T00:00:00Z\",\n    \"twapIndexPrice\": \"0\",\n    \"twapSpotPrice\": \"0\",\n    \"longFundingRate\": \"0\",\n    \"shortFundingRate\": \"0\"\n  },\n  \"settings\": {\n    \"fee\": \"0\",\n    \"executionFee\": \"0\",\n    \"rolloverFee\": \"0\",\n    \"fundingPeriod\": 0,\n    \"ammType\": \"string\",\n    \"minInitMarginRatio\": \"0\",\n    \"initMarginRatio\": \"0\",\n    \"maintenanceMarginRatio\": \"0\",\n    \"liquidationFeeRatio\": \"0\",\n    \"partialLiquidationRatio\": \"0\",\n    \"spreadLimit\": \"0\",\n    \"maxPriceImpact\": \"0\",\n    \"maxPriceSpread\": \"0\",\n    \"maxOpenNotional\": \"0\",\n    \"feeToStakersPercent\": \"0\",\n    \"maxOracleDelay\": 0,\n    \"fundingMode\": 0,\n    \"oracleMode\": 0,\n    \"positionMode\": 0,\n    \"fundingSettings\": {\n      \"lowFundingFnA\": 0,\n      \"lowFundingFnB\": 0,\n      \"highFundingFnA\": 0,\n      \"highFundingFnB\": 0,\n      \"inflectionPoint\": 0\n    },\n    \"isCloseOnly\": true,\n    \"isPaused\": true,\n    \"status\": \"active\"\n  },\n  \"config\": {\n    \"address\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n    \"imageLink\": \"string\",\n    \"quoteAsset\": \"string\",\n    \"baseAsset\": \"string\",\n    \"name\": \"string\",\n    \"ticker\": \"string\",\n    \"vaultAddress\": \"string\",\n    \"type\": \"string\",\n    \"tags\": [\n      \"string\"\n    ],\n    \"closestPauseAt\": 0,\n    \"closestUnpauseAt\": 0,\n    \"isDayTrading\": true,\n    \"dayTradingLeverageLimit\": 0\n  },\n  \"prelaunch\": {\n    \"address\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n    \"assetName\": \"string\",\n    \"startTime\": \"2026-01-01T00:00:00Z\",\n    \"endTime\": \"2026-01-01T00:00:00Z\",\n    \"paused\": true,\n    \"closeOnly\": true,\n    \"createdAt\": \"2026-01-01T00:00:00Z\",\n    \"settings\": {\n      \"tradingDelayForNonWhitelistUsers\": 0,\n      \"preMarketStatus\": \"off\",\n      \"showAlert\": true,\n      \"alertType\": \"warning\",\n      \"alertTitle\": \"string\",\n      \"alertSubtitle\": \"string\"\n    }\n  }\n}\n```","text":"Get a market Returns full market info with current state GET /api/markets/{address} Markets address string 200 Response address Market address string amm Current amm state object change Market volumes daily changes object incentive Funding info object settings Amm settings object config Market config object prelaunch Prelaunch object","api":{"title":"Storm API reference","version":"3.0","documentation":"https://docs.storm.tg/developers/overview","playgroundServer":"https://api.storm.tg"}}